Bug Hunting Session
Bug 100389 - PPTX export of user defined animation (shapes) fails
Summary: PPTX export of user defined animation (shapes) fails
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Paul Trojahn
URL:
Whiteboard: target:6.0.0
Keywords: filter:pptx
Depends on:
Blocks:
 
Reported: 2016-06-15 07:49 UTC by mail
Modified: 2017-08-25 14:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The user defined animation (shapes) no longer works when saved in pptx format. (67.41 KB, application/vnd.oasis.opendocument.presentation)
2016-06-15 07:49 UTC, mail
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mail 2016-06-15 07:49:42 UTC
Created attachment 125661 [details]
The user defined animation (shapes) no longer works when saved in pptx format.

When exporting the attached presentation to PPTX format and opening it with Powerpoint 2010, the coloured text boxes on the first slide appear and disappear instead of appearing and staying. When opening the PPTX format in LO, the boxes behave as they should, saving in ppt format and opening with Powerpoint works as well.

Tested with Powerpoint 2010.
Comment 1 Buovjaga 2016-06-15 11:23:30 UTC
I confirmed in the original bug 100349

Win 8.1 32-bit
MSO2013
LibO Version: 5.3.0.0.alpha0+
Build ID: bb6acbd0c3e8240c976ed62e04275ec67fa5a61d
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-06-11_00:27:38
Locale: fi-FI (fi_FI)
Comment 2 Commit Notification 2017-08-25 09:28:36 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69cfafef7a28aad7a013bb440e15e23e59ea628c

tdf#100387 tdf#100389 OOXML animation export fixes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.